import java.rmi.Naming;

public class XServidor {
  public XServidor() { // El constructor del servei -- forward 
   try {
    X c = new XImpl();
    Naming.rebind("rmi://localhost:1099/ServicioX", c);
   } catch (Exception e) { System.out.println("Problema: " + e); }
  }

  public static void main(String args[]) {
    new XServidor();
  }
}

